#
# spec file for package log4cpp
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           log4cpp
Version:        1.1.1
Release:        1.3
License:        LGPL-2.1
Summary:        Log for C++
Url:            http://log4cpp.sourceforge.net/
Group:          Development/Languages/C and C++
Source:         %{name}-%{version}.tar.gz
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.

%package -n liblog4cpp5
Summary:        Logging for C++
Group:          Development/Libraries/C and C++

%description -n liblog4cpp5
Logging facilities providing library.


%package devel
Summary:        Development tools for Log for C++
Group:          Development/Libraries/C and C++
Requires:       liblog4cpp5 = %{version}

%description devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%package doc
Summary:        HTML formatted API documention for Log for C++
Group:          Development/Libraries/C and C++

%description doc
The %{name}-doc package contains HTML formatted API documention generated by
the popular doxygen documentation generation tool.

%prep
%setup -q -n %{name}

%build
%configure --enable-doxygen
%{__make} %{?_smp_mflags}

%install
%makeinstall mandir=%{buildroot}/%{_mandir} docdir=%{buildroot}/%{_docdir}/%{name}
%{__rm} -rf %{buildroot}/%{_libdir}/*.la

%if 0%{?suse_version}
%fdupes -s %{buildroot}/%{_docdir}/%{name}/api

%endif

%clean
%{__rm} -rf %{buildroot}

%post -n liblog4cpp5 -p /sbin/ldconfig
%postun -n liblog4cpp5 -p /sbin/ldconfig

%files -n liblog4cpp5
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS ChangeLog
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_mandir}/man*/*
%{_bindir}/log4cpp-config
%{_libdir}/lib*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/log4cpp.pc
# WTF?
%dir %{_datadir}/aclocal
%attr(644,root,root) %{_datadir}/aclocal/*.m4

%files doc
%defattr(-,root,root)
%doc %{_docdir}/%{name}

%changelog
* Fri Dec  6 2013 avvissu@yandex.ru
- update to 1.1.1
* Sun Jan 13 2013 sleep_walker@suse.cz
- remove dependency on neexisting package log4cpp
* Sun Jan 13 2013 sleep_walker@suse.cz
- update to 1.1
- remove log4cpp_inclusion_fixes.patch which reached upstream
- rework the spec
  - change manual creation of symlinks with %%fdupes
  - change package name to log4cpp, library is subpackage (now
    liblog4cpp5)
* Thu Jul 19 2012 rob.verduijn@gmail.com
- conflicts fixed for opensuse 12.1
* Wed Jul 18 2012 rob.verduijn@gmail.com
- fixed some more rpmlint badness
* Wed Jul 18 2012 rob.verduijn@gmail.com
- fixed duplicate files
* Wed Jul 18 2012 rob.verduijn@gmail.com
- Fixed directory not owned in specfile
* Tue Aug 30 2011 alexandre@exatati.com.br
- Fix spec file.
* Tue Jan 13 2009 bbrunner@suse.de
- Initial package.
